#!/bin/sh
#   Copyright (c) 2010 digitalSTROM.org, Zurich, Switzerland
#
#   Author: Sergey 'Jin' Bostandzhyan <jin@mediatomb.cc>
#
#   This file is part of digitalSTROM Server.
#
#   netinfo.sh is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   netinfo.sh is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this file. If not, see <http://www.gnu.org/licenses/>.

# source common functions
. ./errlib.sh
. ./jsonlib.sh

DSS_RUNIT_DIR="/etc/runit/dss"
CHECK_COUNT=3

echo "Content-Type: application/json"
echo ""

sv -w 5 down "$DSS_RUNIT_DIR" 1>&2

CHECK=0

while [[ "$CHECK" -lt "$CHECK_COUNT" ]]
do
    DSS_PID=`pidof dss`
    if [[ -z "$DSS_PID" ]]; then
        break
    fi

    sleep 2
    CHECK=`expr $CHECK + 1` 
done

# if its still running, something must hang - force kill
DSS_PID=`pidof dss`
if [[ -n "$DSS_PID" ]]; then
    kill -KILL "$DSS_PID" 1>&2
    sleep 2
fi

sv -w 15 up "$DSS_RUNIT_DIR" 1>&2
sleep 1
DSS_PID=`pidof dss`
if [[ -z "$DSS_PID" ]]; then
    json_error "$ERR_APPSTART" "Failed to launch dSS!"
    exit 1
fi

json_ok
